%define name syslinux
%define version 1.48
%define release 3mdk

Summary: A bootloader for linux using MS-DOS floppies
Summary(fr): Systme de dmarrage de linux utilisant des disquettes MS-DOS
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source0: %{name}-%{version}.tar.bz2
Url: http://metalab.unc.edu/pub/Linux/system/boot/loaders/
BuildRoot: %{_tmppath}/%{name}-buildroot/
BuildRequires: nasm >= 0.97
Patch0: syslinux-1.48-graphic.patch.bz2

%description
SYSLINUX is a boot loader for the Linux operating system which
operates off an MS-DOS/Windows FAT filesystem.  It is intended to
simplify first-time installation of Linux, and for creation of rescue-
and other special-purpose boot disks.

This version include a patched SYSLINUX for handling VESA graphic mode.

%description -l fr 
SYSLINUX est un systme de dmarrage pour le systme d'exploitation Linux
qui utilise un systme de fichier MS-DOS/Windows FAT. Il est utilis pour
les disquettes d'installation bootable de Linux et pour la cration de
disquette de restauration ou d'autres disquettes de boot.

Cette version inclue un SYSLINUX patch pour exploiter le mode VESA en
graphique.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc/syslinux-1.48
install -p syslinux $RPM_BUILD_ROOT/usr/bin
install -p syslinux-graphic $RPM_BUILD_ROOT/usr/bin

%files
%defattr(-,root,root)
%doc COPYING NEWS README README.graphic TODO syslinux.doc
/usr/bin/syslinux
/usr/bin/syslinux-graphic

%changelog
* Mon Apr 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.48-3mdk
- new version of graphic patch for avoiding BIOS text output when using
  graphic mode, this make things much better on screen and much more
  card are supported.
- added a small documention on graphic patch in README.graphic.
- Updated spec file and Group.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-2mdk
- corrected for unsunported TTY output in graphic mode.
- take care of ATI* and Intel* cards.

* Thu Dec 23 1999 Franois PONS <fpons@mandrakesoft.com> 1.48-1mdk
- first version with graphic patch.

